Package org.eclipse.net4j.util.ui.widgets

## Class HistoryText

- java.lang.Object
- - org.eclipse.net4j.util.ui.widgets.HistoryText

-     public class HistoryText
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HistoryText​(Composite parent, int style, IHistory<java.lang.String> history)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(int evenType, Listener listener)` |
    `void` | `append​(java.lang.String string)` |
    `int` | `getCharCount()` |
    `CCombo` | `getCombo()` |
    `IHistory<java.lang.String>` | `getHistory()` |
    `int` | `getLineCount()` |
    `java.lang.String` | `getLineDelimiter()` |
    `int` | `getLineHeight()` |
    `java.lang.String` | `getText()` |
    `java.lang.String` | `getText​(boolean addHistory)` |
    `protected void` | `historyChanged()` |
    `boolean` | `isDropped()` |
    `void` | `removeListener​(int evenType, Listener listener)` |
    `boolean` | `setFocus()` |
    `void` | `setText​(java.lang.String string)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HistoryText

          public HistoryText​(Composite parent,
                             int style,
                             IHistory<java.lang.String> history)

  - ### Method Detail

    - #### getHistory

          public IHistory<java.lang.String> getHistory()

    - #### getCombo

          public CCombo getCombo()

    - #### append

          public void append​(java.lang.String string)

    - #### getCharCount

          public int getCharCount()

    - #### getLineCount

          public int getLineCount()

    - #### getLineDelimiter

          public java.lang.String getLineDelimiter()

    - #### getLineHeight

          public int getLineHeight()

    - #### getText

          public java.lang.String getText​(boolean addHistory)

    - #### getText

          public java.lang.String getText()

    - #### setText

          public void setText​(java.lang.String string)

    - #### setFocus

          public boolean setFocus()

    - #### isDropped

          public boolean isDropped()

    - #### historyChanged

          protected void historyChanged()

    - #### addListener

          public void addListener​(int evenType,
                                  Listener listener)

      Since:
        3.0

    - #### removeListener

          public void removeListener​(int evenType,
                                     Listener listener)

      Since:
        3.0